Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 03/21/2024 in all areas

  1. Even simpler: (vl-remove-if 'distof lst)
    3 points
  2. My routine is now updated and working perfectly. Thank you once again for the assistance
    1 point
  3. i would go like this (defun c:ChkMinArea (/ ss1 Limit i a b c) (setq Limit 30000) (setq ss1 (ssget "_X" '((0 . "POLYLINE")(8 . "FinalTrim")))) (setq i 0) (while (< i (sslength ss1)) (setq a (ssname ss1 i)) (setq b (vla-get-area (vlax-ename->vla-object a))) (setq c ( - Limit b)) (if (>= b Limit) (princ "\nArea is Okay... proceeding....") (progn (command "_zoom" "_obj" a "") (Alert (strcat "Plate needs extending by\n" (rtos c) "mm2 Area")) ) ) (setq i (1+ i)) ) (Princ) );end defun
    1 point
  4. (setq ss1 (ssget "x" '((0 . "POLYLINE")(8 . "FinalTrim" )))) (setq ent (ssname ss1 0)) (setq a ent) Test it , as it is a only one "POLYLINE"
    1 point
  5. you set ss1 using ssget but you are proccessing "a" by entlast. This is why it sometimes works and sometimes not, since the last entity is diffrent and errors out for wrong types
    1 point
  6. @Nikon I also updated the original LEVEL-PT code in the relevant post by including the scale and the sign "+/-"
    1 point
  7. @Butch Finally I managed to solve the problem with the sign "+/-". I updated your custom code in the relevant post. Please re-upload it.
    1 point
  8. Since Grips were introduced, the graphics cursor snaps to any grip over which it is moved. What you are seeing is absolutely normal, but you seem to be the only one bothered enough to post. To minimize the effect of this snapping, have you tried to reduce the size of the grips?
    1 point
  9. This ? (vl-remove nil (mapcar '(lambda (x) (if (eq (type (read x)) 'SYM) x)) text+value-list))
    1 point
  10. Ok its to do with the check is Excel open. I wrote it to do what you have currently in a dwg, so can do multiple groups of text. You can not currently stop and start that is a very different modification to the code to allow stop start. I can maybe do a quick fix will have a think. When you stop have to save the row number and so on, the other problem is close the dwg and Excel, open the dwg and add more data to the reopened excel file. A lot more steps needed as multiple scenarios.
    1 point
  11. @Nikon I customized it for Butch, I think he will only use this one, so the block names (although you are right) don't matter. I even took his definition of his marker from his DWG which keeps the same appearance.. Why use a solid hatch when a simple solid has exactly the same appearance, it unnecessarily weighs down its definition. Its text has a Z at -11.88, why?!! The properties are of the bylayer and not of the byblock. Object definition coordinates have decimal places up to the maximum that autocad can display, completely useless for a symbol. Why make it simple when you can make it complicated... This marker symbol block was done on the fly over the leg in my opinion, so!....
    1 point
×
×
  • Create New...